## kdepim-addons 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(kdepim-addons VERSION ${PIM_VERSION})
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC TRUE)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(AKONADINOTES_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")


include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

option(KDEPIMADDONS_BUILD_EXAMPLES "Build the kdepim-addons example applications." TRUE)

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets Widgets Test)

find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Declarative ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(MAILCOMMON_LIB_VERSION "5.13.3")
set(GRAVATAR_LIB_VERSION "5.13.3")
set(PIMCOMMON_LIB_VERSION "5.13.3")
set(GRANTLEETHEME_LIB_VERSION "5.13.3")
set(CALENDARSUPPORT_LIB_VERSION "5.13.3")
set(EVENTVIEW_LIB_VERSION "5.13.3")
set(LIBKDEPIM_LIB_VERSION "5.13.3")
set(KDEPIM_APPS_LIB_VERSION "5.13.3")
set(LIBKLEO_LIB_VERSION "5.13.3")
set(AKONADI_LIB_VERSION "5.13.3")
set(INCIDENCEEDITOR_LIB_VERSION "5.13.3")
set(KTNEF_LIB_VERSION "5.13.3")
set(MESSAGELIB_LIB_VERSION "5.12.81")
set(AKONADICALENDAR_LIB_VERSION "5.13.3")
set(CALENDAR_UTILS_VERSION "5.13.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
set(KIMAP_LIB_VERSION "5.13.3")
set(LIBKSIEVE_LIB_VERSION "5.13.3")
set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
set(AKONADICONTACT_LIB_VERSION "5.13.3")
set(IMPORTWIZARD_LIB_VERSION "5.13.3")
set(MAILIMPORTER_LIB_VERSION "5.13.3")
set(KPIMPKPASS_LIB_VERSION "5.13.3")
set(KPIMITINERARY_LIB_VERSION "5.13.3")
set(KONTACTINTERFACE_LIB_VERSION "5.13.3")
set(CALENDARSUPPORT_LIB_VERSION_LIB "5.13.3")
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookImportExport ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KIDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibKSieve ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimPkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimItinerary ${KPIMITINERARY_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)

set(CMAKE_CXX_STANDARD 14)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

if(KDEPIM_ENTERPRISE_BUILD)
  set(KDEPIM_ENTERPRISE_BUILD true)
else()
  set(KDEPIM_ENTERPRISE_BUILD false)
endif()

# Extra package
find_package(Gpgmepp 1.11.1 CONFIG)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "https://www.gnupg.org" TYPE REQUIRED)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
if(KDEPIMADDONS_BUILD_EXAMPLES)
  add_subdirectory(examples)
endif()
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR ${KDE_INSTALL_DATADIR}/qtcreator/templates CACHE PATH "Define qtcreator template install path (default is /usr/share/qtcreator/templates)")

find_package(Discount "2")
set_package_properties("discount" PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file.")

if(discount_FOUND)
   if (${PC_LIBMARKDOWN_VERSION_STRING})
      if (${PC_LIBMARKDOWN_VERSION_STRING} VERSION_GREATER "2.2.5")
           set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
           MESSAGE(STATUS "Discount ${PC_LIBMARKDOWN_VERSION_STRING}: has hightlighting support")
      endif()
   endif()
endif()

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
if(KPimImportWizard_FOUND)
  add_subdirectory(akonadi-import-wizard)
endif()

install(FILES kdepim-addons.categories kdepim-addons.renamecategories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== kmailtransport/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmailtransport_plugins\")
if (NOT WIN32)
    add_subdirectory(sendmail)
endif()

=== sieveeditor/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"sieveeditor_plugins\")
add_subdirectory(imapfoldercompletion)
add_subdirectory(regexeditorlineedit)
add_subdirectory(emaillineedit)

=== akonadi-import-wizard/nylas-mail/CMakeLists.txt ===
set(nylasmailimporter_SRCS
   nylasmailsettings.cpp
   nylasmaildata.cpp
)

ecm_qt_declare_logging_category(nylasmailimporter_SRCS HEADER nylasmailplugin_debug.h IDENTIFIER NYLASMAILPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.nylasmailplugin)
kcoreaddons_add_plugin(nylasmailimporterplugin JSON nylasmailimporter.json SOURCES
    ${nylasmailimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(nylasmailimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::IdentityManagement
  KF5::MailCommon
)

=== kaddressbook/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook_plugins\")

add_subdirectory(mergelib)
add_subdirectory(mergecontacts)
add_subdirectory(searchduplicates)
add_subdirectory(sendvcards)
add_subdirectory(sendmail)
add_subdirectory(checkgravatar)

=== kmail/editorinitplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editorinit_plugins\")
add_subdirectory(externalcomposer)

=== kmail/editorplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editor_plugins\")
add_subdirectory(insertspecialcharacter)
add_subdirectory(changecase)
add_subdirectory(zoomtext)
add_subdirectory(nonbreakingspace)
add_subdirectory(autocorrection)
add_subdirectory(insertemail)
add_subdirectory(insertshorturl)
add_subdirectory(sharetext)
add_subdirectory(qtcreator-template)
add_subdirectory(quicktext)

=== plugins/messageviewer/CMakeLists.txt ===
add_subdirectory(bodypartformatter)
add_subdirectory(grantlee)

=== plugins/messageviewerheaderplugins/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"messageviewerheaderplugins\")
add_subdirectory(briefheaderstyleplugin)
if (KDEPIM_ENTERPRISE_BUILD)
	add_subdirectory(enterpriseheaderstyleplugin)  
endif()
add_subdirectory(fancyheaderstyleplugin)  
add_subdirectory(grantleeheaderstyleplugin)  
add_subdirectory(longheaderstyleplugin)  
add_subdirectory(standardsheaderstyleplugin)
if(BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

=== kaddressbook/importexportplugins/ldap/CMakeLists.txt ===
set(kaddressbook_importexport_ldap_SRCS
    ldapimportexportplugin.cpp
    ldapimportexportplugininterface.cpp
    )


kcoreaddons_add_plugin(kaddressbook_importexportldapplugin JSON kaddressbook_importexportldapplugin.json SOURCES
    ${kaddressbook_importexport_ldap_SRCS} INSTALL_NAMESPACE kaddressbook)

target_link_libraries(kaddressbook_importexportldapplugin KF5::KaddressbookImportExport
        KF5::PimCommon
        KF5::AkonadiCore
        KF5::I18n
        KF5::XmlGui
        KF5::Contacts
        kaddressbookimportexportlibprivate
        KF5::Libkdepim
    )

=== kaddressbook/importexportplugins/vcards/CMakeLists.txt ===
set(kaddressbook_importexport_vcard_SRCS
    vcardimportexportplugin.cpp
    vcardimportexportplugininterface.cpp
    engine/vcardviewerdialog.cpp
    engine/vcardexportselectionwidget.cpp
    )


kcoreaddons_add_plugin(kaddressbook_importexportvcardplugin JSON kaddressbook_importexportvcardplugin.json SOURCES
    ${kaddressbook_importexport_vcard_SRCS} INSTALL_NAMESPACE kaddressbook)

target_link_libraries(kaddressbook_importexportvcardplugin
    KF5::KaddressbookImportExport
    KF5::PimCommon
        KF5::I18n
        KF5::XmlGui
        KF5::Contacts
        KF5::KaddressbookGrantlee
        KF5::JobWidgets
        KF5::AkonadiContact
        kaddressbookimportexportlibprivate
        Gpgmepp
        QGpgme
    )

=== kaddressbook/plugins/mergecontacts/CMakeLists.txt ===
set(kaddressbook_mergecontactsplugin_SRCS
    mergecontactsplugininterface.cpp
    mergecontactsplugin.cpp
)


kcoreaddons_add_plugin(kaddressbook_mergecontactsplugin JSON kaddressbook_mergecontactsplugin.json SOURCES
    ${kaddressbook_mergecontactsplugin_SRCS} INSTALL_NAMESPACE kaddressbook)

target_link_libraries(kaddressbook_mergecontactsplugin
  KF5::PimCommon KF5::Completion  KF5::PimCommonAkonadi KF5::XmlGui kaddressbookmergelibprivate KF5::I18n
)

=== debian/changelog ===
kdepim-addons (19.12.3-0ubuntu1) focal; urgency=medium

  * New build depend on libkf5kontactinterface-dev
  * Update intian overrides.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:39 +0100

kdepim-addons (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:03 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadinotes-dev (>= 4:19.12.3~),
               libkf5calendarsupport-dev (>= 4:19.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:19.12.3~),
               libkf5grantleetheme-dev (>= 19.12.3~),
               libkf5gravatar-dev (>= 4:19.12.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 19.12.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:19.12.3~),
               libkf5kaddressbookimportexport-dev (>= 4:19.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 19.12.3~),
               libkf5ksieve-dev (>= 4:19.12.3~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5libkleo-dev (>= 4:19.12.3~),
               libkf5mailcommon-dev (>= 4:19.12.3~),
               libkf5mailimporter-dev (>= 4:19.12.3~),
               libkf5messagecomposer-dev (>= 4:19.12.3~),
               libkf5messagecore-dev (>= 4:19.12.3~),
               libkf5messagelist-dev (>= 4:19.12.3~),
               libkf5messageviewer-dev (>= 4:19.12.3~),
               libkf5mimetreeparser-dev (>= 4:19.12.3~),
               libkf5pimcommon-dev (>= 4:19.12.3~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:19.12.3~),
               libkf5tnef-dev (>= 4:19.12.3~),
               libkf5webengineviewer-dev (>= 4:19.12.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 19.12.3~),
               libkpimimportwizard-dev (>= 4:19.12.3~),
               libkpimitinerary-dev (>= 19.12.3~),
               libkpimpkpass-dev (>= 19.12.3~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdepim-addons-([\d.]+).tar.xz

## kdepim-addons 20.08.1

=== debian/changelog ===
kdepim-addons (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:22 +0100

kdepim-addons (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2020 09:57:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,44 +8,44 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadinotes-dev (>= 4:19.12.3~),
-               libkf5calendarsupport-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadinotes-dev (>= 4:20.08.1~),
+               libkf5calendarsupport-dev (>= 4:20.08.1~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5declarative-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:19.12.3~),
-               libkf5grantleetheme-dev (>= 19.12.3~),
-               libkf5gravatar-dev (>= 4:19.12.3~),
+               libkf5eventviews-dev (>= 4:20.08.1~),
+               libkf5grantleetheme-dev (>= 20.08.1~),
+               libkf5gravatar-dev (>= 4:20.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5incidenceeditor-dev (>= 19.12.3~),
-               libkf5kaddressbookgrantlee-dev (>= 4:19.12.3~),
-               libkf5kaddressbookimportexport-dev (>= 4:19.12.3~),
+               libkf5incidenceeditor-dev (>= 20.08.1~),
+               libkf5kaddressbookgrantlee-dev (>= 4:20.08.1~),
+               libkf5kaddressbookimportexport-dev (>= 4:20.08.1~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5kontactinterface-dev (>= 19.12.3~),
-               libkf5ksieve-dev (>= 4:19.12.3~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5libkleo-dev (>= 4:19.12.3~),
-               libkf5mailcommon-dev (>= 4:19.12.3~),
-               libkf5mailimporter-dev (>= 4:19.12.3~),
-               libkf5messagecomposer-dev (>= 4:19.12.3~),
-               libkf5messagecore-dev (>= 4:19.12.3~),
-               libkf5messagelist-dev (>= 4:19.12.3~),
-               libkf5messageviewer-dev (>= 4:19.12.3~),
-               libkf5mimetreeparser-dev (>= 4:19.12.3~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5kontactinterface-dev (>= 20.08.1~),
+               libkf5ksieve-dev (>= 4:20.08.1~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5libkleo-dev (>= 4:20.08.1~),
+               libkf5mailcommon-dev (>= 4:20.08.1~),
+               libkf5mailimporter-dev (>= 4:20.08.1~),
+               libkf5messagecomposer-dev (>= 4:20.08.1~),
+               libkf5messagecore-dev (>= 4:20.08.1~),
+               libkf5messagelist-dev (>= 4:20.08.1~),
+               libkf5messageviewer-dev (>= 4:20.08.1~),
+               libkf5mimetreeparser-dev (>= 4:20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                libkf5prison-dev (>= 5.39.0~),
                libkf5syntaxhighlighting-dev,
-               libkf5templateparser-dev (>= 4:19.12.3~),
-               libkf5tnef-dev (>= 4:19.12.3~),
-               libkf5webengineviewer-dev (>= 4:19.12.3~),
+               libkf5templateparser-dev (>= 4:20.08.1~),
+               libkf5tnef-dev (>= 4:20.08.1~),
+               libkf5webengineviewer-dev (>= 4:20.08.1~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 19.12.3~),
-               libkpimimportwizard-dev (>= 4:19.12.3~),
-               libkpimitinerary-dev (>= 19.12.3~),
-               libkpimpkpass-dev (>= 19.12.3~),
+               libkpimgapi-dev (>= 20.08.1~),
+               libkpimimportwizard-dev (>= 4:20.08.1~),
+               libkpimitinerary-dev (>= 20.08.1~),
+               libkpimpkpass-dev (>= 20.08.1~),
                libmarkdown2-dev (>= 2),
                libpoppler-qt5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),

## kdepim-addons 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,15 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 if(POLICY CMP0063)
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH  ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/ ${ECM_MODULE_PATH})
-set(CMAKE_AUTORCC TRUE)
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
@@ -26,8 +25,8 @@
 set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
 set(KDEPIMADDONS_LIB_SOVERSION "5")
 
-set(AKONADINOTES_LIB_VERSION "5.13.3")
-set(QT_REQUIRED_VERSION "5.11.0")
+set(AKONADINOTES_LIB_VERSION "5.15.3")
+set(QT_REQUIRED_VERSION "5.13.0")
 
 
 include(ECMInstallIcons)
@@ -48,8 +47,6 @@
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
-option(KDEPIMADDONS_BUILD_EXAMPLES "Build the kdepim-addons example applications." TRUE)
-
 option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
 
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets Widgets Test)
@@ -67,32 +64,32 @@
 find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
-set(MAILCOMMON_LIB_VERSION "5.13.3")
-set(GRAVATAR_LIB_VERSION "5.13.3")
-set(PIMCOMMON_LIB_VERSION "5.13.3")
-set(GRANTLEETHEME_LIB_VERSION "5.13.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.13.3")
-set(EVENTVIEW_LIB_VERSION "5.13.3")
-set(LIBKDEPIM_LIB_VERSION "5.13.3")
-set(KDEPIM_APPS_LIB_VERSION "5.13.3")
-set(LIBKLEO_LIB_VERSION "5.13.3")
-set(AKONADI_LIB_VERSION "5.13.3")
-set(INCIDENCEEDITOR_LIB_VERSION "5.13.3")
-set(KTNEF_LIB_VERSION "5.13.3")
-set(MESSAGELIB_LIB_VERSION "5.12.81")
-set(AKONADICALENDAR_LIB_VERSION "5.13.3")
-set(CALENDAR_UTILS_VERSION "5.13.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
-set(KIMAP_LIB_VERSION "5.13.3")
-set(LIBKSIEVE_LIB_VERSION "5.13.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.13.3")
-set(AKONADICONTACT_LIB_VERSION "5.13.3")
-set(IMPORTWIZARD_LIB_VERSION "5.13.3")
-set(MAILIMPORTER_LIB_VERSION "5.13.3")
-set(KPIMPKPASS_LIB_VERSION "5.13.3")
-set(KPIMITINERARY_LIB_VERSION "5.13.3")
-set(KONTACTINTERFACE_LIB_VERSION "5.13.3")
-set(CALENDARSUPPORT_LIB_VERSION_LIB "5.13.3")
+set(MAILCOMMON_LIB_VERSION "5.15.3")
+set(GRAVATAR_LIB_VERSION "5.15.3")
+set(PIMCOMMON_LIB_VERSION "5.15.3")
+set(GRANTLEETHEME_LIB_VERSION "5.15.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.15.3")
+set(EVENTVIEW_LIB_VERSION "5.15.3")
+set(LIBKDEPIM_LIB_VERSION "5.15.3")
+set(KDEPIM_APPS_LIB_VERSION "5.15.3")
+set(LIBKLEO_LIB_VERSION "5.15.3")
+set(AKONADI_LIB_VERSION "5.15.3")
+set(INCIDENCEEDITOR_LIB_VERSION "5.15.3")
+set(KTNEF_LIB_VERSION "5.15.3")
+set(MESSAGELIB_LIB_VERSION "5.15.3")
+set(AKONADICALENDAR_LIB_VERSION "5.15.3")
+set(CALENDAR_UTILS_VERSION "5.15.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")
+set(KIMAP_LIB_VERSION "5.15.3")
+set(LIBKSIEVE_LIB_VERSION "5.15.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
+set(AKONADICONTACT_LIB_VERSION "5.15.3")
+set(IMPORTWIZARD_LIB_VERSION "5.15.3")
+set(MAILIMPORTER_LIB_VERSION "5.15.3")
+set(KPIMPKPASS_LIB_VERSION "5.15.3")
+set(KPIMITINERARY_LIB_VERSION "5.15.3")
+set(KONTACTINTERFACE_LIB_VERSION "5.15.3")
+set(CALENDARSUPPORT_LIB_VERSION_LIB "5.15.3")
 find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
 find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
@@ -104,7 +101,7 @@
 find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
@@ -131,6 +128,7 @@
 find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION_LIB} CONFIG REQUIRED)
 
 set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
@@ -145,16 +143,12 @@
 # Extra package
 find_package(Gpgmepp 1.11.1 CONFIG)
 set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "https://www.gnupg.org" TYPE REQUIRED)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
 option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
-if(KDEPIMADDONS_BUILD_EXAMPLES)
-  add_subdirectory(examples)
-endif()
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
 set(QTCREATOR_TEMPLATE_INSTALL_DIR ${KDE_INSTALL_DATADIR}/qtcreator/templates CACHE PATH "Define qtcreator template install path (default is /usr/share/qtcreator/templates)")
@@ -185,6 +179,10 @@
   add_subdirectory(akonadi-import-wizard)
 endif()
 
-install(FILES kdepim-addons.categories kdepim-addons.renamecategories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+    EXPORT KDEPIMADDONS
+    FILE kdepim-addons.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+    )
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== kaddressbook/CMakeLists.txt ===
add_subdirectory( editorpages )
add_subdirectory( plugins )
add_subdirectory( importexportplugins )

=== korganizer/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(plugins)
add_subdirectory(emailaddressselectionldapdialog)

=== akonadi-import-wizard/pmail/CMakeLists.txt ===
set(pmailimporter_SRCS
   pmailimportdata.cpp  
   pmailsettings.cpp
)

kcoreaddons_add_plugin(pmailimporterplugin JSON pmailimporter.json SOURCES
    ${pmailimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(pmailimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
)

=== kmail/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail_plugins\")
add_subdirectory(antispamplugin)
add_subdirectory(antivirusplugin)
add_subdirectory(common/avscripts)
add_subdirectory(logactivitiesplugin)
add_subdirectory(expertplugin)
#Laurent disable for the moment
#add_subdirectory(mailmergeplugin)
install(FILES common/kmail.antispamrc common/kmail.antivirusrc   DESTINATION ${KDE_INSTALL_CONFDIR})

=== kmailtransport/sendmail/CMakeLists.txt ===
set(mailtransport_sendplugin_SRCS
    sendmailtransportplugin.cpp
    sendmailjob.cpp
    sendmailconfigwidget.cpp
    sendmailconfigdialog.cpp
    )

ecm_qt_declare_logging_category(mailtransport_sendplugin_SRCS HEADER sendmailplugin_debug.h IDENTIFIER MAILTRANSPORT_PLUGIN_LOG CATEGORY_NAME org.kde.pim.mailtransport_sendmail
    DESCRIPTION "kdepim-addons (kmailtransport sendmail plugin)"
    EXPORT KDEPIMADDONS
    )


ki18n_wrap_ui(mailtransport_sendplugin_SRCS
    sendmailsettings.ui
    )

kcoreaddons_add_plugin(mailtransport_sendplugin JSON sendmailtransport.json SOURCES
    ${mailtransport_sendplugin_SRCS} INSTALL_NAMESPACE mailtransport)

target_link_libraries(mailtransport_sendplugin
    KF5::MailTransport
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    )

=== korganizer/plugins/CMakeLists.txt ===
add_subdirectory(datenums)
#Comment it it depends against kdelibs4support
#add_subdirectory(hebrew)
#Comment it is just too ugly --Allen
#add_subdirectory(lunarphases)
add_subdirectory(picoftheday)
add_subdirectory(thisdayinhistory)

=== plugins/messageviewerconfigureplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"messageviewerconfiguresettingsplugins\")

add_subdirectory(gravatar)

set(CMAKE_REQUIRED_LIBRARIES KF5::MessageViewer)
add_subdirectory(dkim-verify)

=== sieveeditor/emaillineedit/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(sieveeditoremaillinedit_plugin_categories_SRCS)
ecm_qt_declare_logging_category(sieveeditoremaillinedit_plugin_categories_SRCS HEADER sieveeditoremaillineditplugin_debug.h IDENTIFIER
    EMAILLINEEDITPLUGIN_LOG CATEGORY_NAME org.kde.pim.sieveeditoremaillinedit
    DESCRIPTION "kdepim-addons (SieveEditor email line plugin)"
    EXPORT KDEPIMADDONS
    )


if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

set(sieveeditoremaillineditplugin_SRCS
    emaillineedit.cpp
    ${sieveeditoremaillinedit_plugin_categories_SRCS}
    )

kcoreaddons_add_plugin(emaillineeditplugin JSON emaillineedit.json SOURCES
    ${sieveeditoremaillineditplugin_SRCS} INSTALL_NAMESPACE libksieve)

target_link_libraries(emaillineeditplugin
    KF5::I18n KF5::KSieveUi KF5::AkonadiContact
    )

=== kaddressbook/importexportplugins/csv/CMakeLists.txt ===
set(kaddressbook_importexport_csv_SRCS
    csvimportexportplugin.cpp
    csvimportexportplugininterface.cpp
    import/csvimportdialog.cpp
    import/dateparser.cpp
    import/qcsvmodel.cpp
    import/qcsvreader.cpp
    import/templateselectiondialog.cpp
    )


kcoreaddons_add_plugin(kaddressbook_importexportcsvplugin JSON kaddressbook_importexportcsvplugin.json SOURCES
    ${kaddressbook_importexport_csv_SRCS} INSTALL_NAMESPACE kaddressbook/importexportplugin)

target_link_libraries(kaddressbook_importexportcsvplugin KF5::KaddressbookImportExport
        KF5::PimCommon
        KF5::I18n
        KF5::XmlGui
        KF5::Contacts
        KF5::JobWidgets
        KF5::Completion
        KF5::KIOWidgets
        KF5::AkonadiCore
        kaddressbookimportexportlibprivate
    )

=== kaddressbook/importexportplugins/ldap/CMakeLists.txt ===
set(kaddressbook_importexport_ldap_SRCS
    ldapimportexportplugin.cpp
    ldapimportexportplugininterface.cpp
    )


kcoreaddons_add_plugin(kaddressbook_importexportldapplugin JSON kaddressbook_importexportldapplugin.json SOURCES
    ${kaddressbook_importexport_ldap_SRCS} INSTALL_NAMESPACE kaddressbook/importexportplugin)

target_link_libraries(kaddressbook_importexportldapplugin KF5::KaddressbookImportExport
        KF5::AkonadiCore
        KF5::I18n
        KF5::XmlGui
        KF5::Contacts
        kaddressbookimportexportlibprivate
        KF5::PimCommonAkonadi
    )

=== kaddressbook/plugins/mergecontacts/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 
 kcoreaddons_add_plugin(kaddressbook_mergecontactsplugin JSON kaddressbook_mergecontactsplugin.json SOURCES
-    ${kaddressbook_mergecontactsplugin_SRCS} INSTALL_NAMESPACE kaddressbook)
+    ${kaddressbook_mergecontactsplugin_SRCS} INSTALL_NAMESPACE kaddressbook/mainview)
 
 target_link_libraries(kaddressbook_mergecontactsplugin
   KF5::PimCommon KF5::Completion  KF5::PimCommonAkonadi KF5::XmlGui kaddressbookmergelibprivate KF5::I18n

=== debian/changelog ===
kdepim-addons (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:31 +0100

kdepim-addons (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:28 +0200

kdepim-addons (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:47 +0200

kdepim-addons (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Unregister the old /etc/xdg/kdepim-addons.categories, and
    /etc/xdg/kdepim-addons.renamecategories conffiles.
  * Add the libmarkdown2-dev build dependency to enable Markdown to HTML
    conversion in the KMail composer.
  * Disable the build, and execution of the test suite, as there are failing
    tests, and some time out
    - pass -DBUILD_TESTING=OFF to cmake
    - add an empty override for dh_auto_test

 -- Pino Toscano <pino@debian.org>  Sun, 23 Aug 2020 09:19:01 +0200

kdepim-addons (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:26 +0200

kdepim-addons (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 16.04.3-1.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:26:36 +0200

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               dbus,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libgpgmepp-dev (>= 1.11.1~),
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadicalendar-dev (>= 4:20.08.3~),
               libkf5akonadicontact-dev (>= 4:20.08.3~),
               libkf5akonadinotes-dev (>= 4:20.08.3~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5calendarsupport-dev (>= 4:20.08.3~),
               libkf5calendarutils-dev (>= 4:20.08.3~),
               libkf5config-dev (>= 5.71.0~),
               libkf5contacteditor-dev (>= 4:20.08.3~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5declarative-dev (>= 5.71.0~),
               libkf5eventviews-dev (>= 4:20.08.3~),
               libkf5grantleetheme-dev (>= 20.08.3~),
               libkf5gravatar-dev (>= 4:20.08.3~),
               libkf5holidays-dev (>= 1:5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5identitymanagement-dev,
               libkf5imap-dev (>= 20.08.3~),
               libkf5incidenceeditor-dev (>= 20.08.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:20.08.3~),
               libkf5kaddressbookimportexport-dev (>= 4:20.08.3~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5kontactinterface-dev (>= 20.08.3~),
               libkf5ksieve-dev (>= 4:20.08.3~),
               libkf5libkdepim-dev (>= 4:20.08.3~),
               libkf5libkleo-dev (>= 4:20.08.3~),
               libkf5mailcommon-dev (>= 4:20.08.3~),
               libkf5mailimporter-dev (>= 4:20.08.3~),
               libkf5mailtransport-dev (>= 20.08.3~),
               libkf5messagecomposer-dev (>= 4:20.08.3~),
               libkf5messagecore-dev (>= 4:20.08.3~),
               libkf5messagelist-dev (>= 4:20.08.3~),
               libkf5messageviewer-dev (>= 4:20.08.3~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5pimtextedit-dev (>= 20.08.3~),
               libkf5prison-dev (>= 5.71.0~),
               libkf5syntaxhighlighting-dev (>= 5.71.0~),
               libkf5templateparser-dev (>= 4:20.08.3~),
               libkf5tnef-dev (>= 4:20.08.3~),
               libkf5webengineviewer-dev (>= 4:20.08.3~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libkpimimportwizard-dev (>= 4:20.08.3~),
               libkpimitinerary-dev (>= 20.08.3~),
               libkpimpkpass-dev (>= 20.08.3~),
               libmarkdown2-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               qtwebengine5-dev (>= 5.13.0~),
               shared-mime-info (>= 1.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: any
Multi-Arch: same
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 20.12.3

=== debian/changelog ===
kdepim-addons (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)
  * Update lintian overrides.
  * Build depend on kaddressbook to fix import/export.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:53 +0000

kdepim-addons (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:06 +0000

kdepim-addons (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:09:34 +0000

kdepim-addons (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:26:09 +0000

kdepim-addons (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:50:39 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kaddressbook (>= 4:20.12.3~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadinotes-dev (>= 4:20.12.3~),
               libkf5calendarsupport-dev (>= 4:20.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.12.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:20.12.3~),
               libkf5grantleetheme-dev (>= 20.12.3~),
               libkf5gravatar-dev (>= 4:20.12.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 20.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kontactinterface-dev (>= 20.12.3~),
               libkf5ksieve-dev (>= 4:20.12.3~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5libkleo-dev (>= 4:20.12.3~),
               libkf5mailcommon-dev (>= 4:20.12.3~),
               libkf5mailimporter-dev (>= 4:20.12.3~),
               libkf5messagecomposer-dev (>= 4:20.12.3~),
               libkf5messagecore-dev (>= 4:20.12.3~),
               libkf5messagelist-dev (>= 4:20.12.3~),
               libkf5messageviewer-dev (>= 4:20.12.3~),
               libkf5mimetreeparser-dev (>= 4:20.12.3~),
               libkf5pimcommon-dev (>= 4:20.12.3~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:20.12.3~),
               libkf5tnef-dev (>= 4:20.12.3~),
               libkf5webengineviewer-dev (>= 4:20.12.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 20.12.3~),
               libkpimimportwizard-dev (>= 4:20.12.3~),
               libkpimitinerary-dev (>= 20.12.3~),
               libkpimpkpass-dev (>= 20.12.3~),
               libmarkdown2-dev (>= 2),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all},
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
